SOLVED Enchilada-upgrade fails - Window size too small

unsichtbarre

Member
Joined
May 17, 2009
Messages
105
Reaction score
2
When I try to do the Enchilada upgrade, it fails with this:
****** WARNING WARNING WARNING WARNING ******
Window size is too small: 80 x 24
Resize console window to at least 82 x 30.
Otherwise, Asterisk may fail to compile.
****** WARNING WARNING WARNING WARNING ******

Enchilada requires Incredible PBX 13-13.3 with GV OAuth.
This happens while SSH connected with Putty, and using the VMRC.
This also happened on the OVA that I downloaded, but is now on my own VM build of CentOS: centos-release-7-4.1708.el7.centos.x86_64

THX
 

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,071
Reaction score
2,597
Ignore it. The window size is only important in Phase 2 of initial install with the Asterisk build step with make menuselect. Just be sure your window is at least 80 x 25.
 
Last edited:

unsichtbarre

Member
Joined
May 17, 2009
Messages
105
Reaction score
2
Problem is - it dumps me right back at the shell:
****** WARNING WARNING WARNING WARNING ******
Window size is too small: 80 x 24
Resize console window to at least 82 x 30.
Otherwise, Asterisk may fail to compile.
****** WARNING WARNING WARNING WARNING ******

Enchilada requires Incredible PBX 13-13.3 with GV OAuth.
WARNING: Always run Incredible PBX behind a secure hardware-based firewall.
[email protected]:~ $
Probably related to this from the Enchelada.sh script:
COLUMNSIZE=`echo -e "cols"|tput -S`
LINESIZE=`echo -e "lines"|tput -S`

if [[ "$COLUMNSIZE" -lt "82" ]] || [[ "$LINESIZE" -lt "30" ]]; then
echo " "
echo "****** WARNING WARNING WARNING WARNING ******"
echo "Window size is too small: $COLUMNSIZE x $LINESIZE"
echo Resize console window to at least 82 x 30.
# echo Do it NOW before continuing with the install.
echo "Otherwise, Asterisk may fail to compile."
echo "****** WARNING WARNING WARNING WARNING ******"
echo " "
# exit
fi
I could simply remove those lines if unimportant?
 

unsichtbarre

Member
Joined
May 17, 2009
Messages
105
Reaction score
2
OK, it seems that I've been barking up the wrong tree - wget http://incrediblepbx.com/incrediblepbx-13-13-LEAN.tar.gz has installed:

Incredible PBX/FAX 13-13.2 for CentOS 7

Asterisk: UP Apache: UP MySQL: UP
SendMail: UP IPtables: UP SSH: UP
LAN port: UP Fail2Ban: UP Webmin: UP
GV OAUTH: UP PortKnock: UP NR VPN: UP
FaxGetty: DN IAX Modem: DN HylaFax: UP

RAM: 2880MB CentOS 7.4.1708 Disk: 28GB

Asterisk 13.18.4 Incredible 13.0.120.10

System Time: Fri Jan 5 10:01:38 MST 2018

< OK >
Where the Enchalada upgrader clearly requires 13.3
 

Members online

PIAF 5 - Powered by 3CX

Forum statistics

Threads
22,317
Messages
136,958
Members
14,541
Latest member
matpots64